## libayatana-appindicator 0.5.92

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.13)
project(libayatana-appindicator C)

if(CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)
    SET(CMAKE_INSTALL_PREFIX "/usr" CACHE PATH "..." FORCE)
endif(CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)

list(APPEND CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake)

# Options

option(ENABLE_TESTS "Enable all tests and checks" OFF)
option(ENABLE_COVERAGE "Enable coverage reports (includes enabling all tests and checks)" OFF)
option(ENABLE_WERROR "Treat all build warnings as errors" OFF)
option(ENABLE_GTKDOC "Enable building GTK documentation" OFF)
option(ENABLE_BINDINGS_VALA "Enable Vala bindings (GTK+-3.0 and beyond only)" ON)
option(ENABLE_BINDINGS_MONO "Enable Mono bindings" ON)

if(ENABLE_COVERAGE)
    set(ENABLE_TESTS ON)
    set(CMAKE_BUILD_TYPE "Coverage")
else()
    set(CMAKE_BUILD_TYPE "Release")
endif()

if(ENABLE_WERROR)
    set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Werror")
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Werror")
endif()

# Check for prerequisites

option(FLAVOUR_GTK2 "Build against GTK+-2.0" OFF)
option(FLAVOUR_GTK3 "Build against GTK+-3.0" ON)

if (FLAVOUR_GTK2)
    set (FLAVOUR_GTK3 OFF)
endif()
if (FLAVOUR_GTK3)
    set (FLAVOUR_GTK2 OFF)
endif()

set(DEPS glib-2.0>=2.58)

if (FLAVOUR_GTK3)
    set(DEPS
        ${DEPS}
        ayatana-indicator3-0.4>=0.8.4
        gtk+-3.0>=3.24
        dbusmenu-gtk3-0.4
    )
elseif (FLAVOUR_GTK2)
    set(DEPS
        ${DEPS}
        ayatana-indicator-0.4>=0.8.4
        gtk+-2.0>=2.18
        dbusmenu-gtk-0.4
    )
endif()

if(ENABLE_TESTS)
    set(DEPS ${DEPS} dbus-1>=1.12 dbus-glib-1>=0.82)
endif()

find_package(PkgConfig REQUIRED)
pkg_check_modules(PROJECT_DEPS REQUIRED ${DEPS})

if (ENABLE_GTKDOC)
    find_program (GTKDOC "gtkdoc-scan")
    if (NOT GTKDOC)
        message(WARNING "Building the gtk-doc API documentation is enabled, but the gtkdoc-scan executable has not been found.  Disabling API documentation building, although requested.")
        set (ENABLE_GTKDOC OFF)
    endif()
endif()

# Set global variables

include(GNUInstallDirs)
set(PROJECT_VERSION "0.5.90")
set(PROJECT_NAME "libayatana-appindicator")

if("${CMAKE_CXX_COMPILER_ID}" STREQUAL "Clang")

    set(COMPILE_FLAGS "${COMPILE_FLAGS} -Weverything")
    set(COMPILE_FLAGS "${COMPILE_FLAGS} -Wno-c++98-compat -Wno-padded")
    set(COMPILE_FLAGS "${COMPILE_FLAGS} -Wno-documentation")

else()

    set(COMPILE_FLAGS "${COMPILE_FLAGS} -Wall")

endif()

# Make everything

add_subdirectory(src)
add_subdirectory(bindings)
if (ENABLE_GTKDOC)
    add_subdirectory(docs)
endif()

if (ENABLE_TESTS)

    include(CTest)
    enable_testing()
    add_subdirectory(tests)
    add_subdirectory(example)

    if(ENABLE_COVERAGE)

        find_package(CoverageReport)
        ENABLE_COVERAGE_REPORT(TARGETS "ayatana-appindicator3" TESTS "test-libappindicator" "test-libappindicator-dbus-client" "test-libappindicator-dbus-server" "test-libappindicator-status-client" "test-libappindicator-status-server" "test-libappindicator-fallback-item" "test-libappindicator-fallback-watcher" FILTER /usr/include ${CMAKE_BINARY_DIR}/*)

    endif()

endif()

# Display config info

message(STATUS "Install prefix: ${CMAKE_INSTALL_PREFIX}")
message(STATUS "GTK+-3.0 build: ${FLAVOUR_GTK3}")
message(STATUS "GTK+-2.0 build: ${FLAVOUR_GTK2}")
message(STATUS "Vala bindings: ${ENABLE_BINDINGS_VALA}")
message(STATUS "Mono bindings: ${ENABLE_BINDINGS_MONO}")
message(STATUS "Unit tests: ${ENABLE_TESTS}")
message(STATUS "Build with -Werror: ${ENABLE_WERROR}")
message(STATUS "API Documentation: ${ENABLE_GTKDOC}")

=== bindings/vala/CMakeLists.txt ===
# ayatana-appindicator3-0.1.deps

install(FILES "${CMAKE_CURRENT_SOURCE_DIR}/ayatana-appindicator3-0.1.deps" DESTINATION "${CMAKE_INSTALL_FULL_DATADIR}/vala/vapi")

# AyatanaAppIndicator3-0.1.vala

find_package(Vala REQUIRED QUIET)

add_custom_command(
    OUTPUT "${CMAKE_CURRENT_BINARY_DIR}/AyatanaAppIndicator3-0.1.vala"
    DEPENDS "src" "${CMAKE_BINARY_DIR}/src/AyatanaAppIndicator3-0.1.typelib"
    WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}
    COMMAND
    ${VAPI_GEN}
    --library=ayatana-appindicator3-0.1
    --pkg gtk+-3.0
    --girdir="${CMAKE_SOURCE_DIR}/src"
    --metadatadir "${CMAKE_SOURCE_DIR}/src"
    "${CMAKE_BINARY_DIR}/src/AyatanaAppIndicator3-0.1.gir"
    "${CMAKE_CURRENT_SOURCE_DIR}/ayatana-appindicator-0.1-custom.vala"
)

install(FILES "${CMAKE_CURRENT_BINARY_DIR}/ayatana-appindicator3-0.1.vapi" DESTINATION "${CMAKE_INSTALL_FULL_DATADIR}/vala/vapi")

add_custom_target("bindings-vala" ALL DEPENDS "${CMAKE_CURRENT_BINARY_DIR}/AyatanaAppIndicator3-0.1.vala")

if (ENABLE_TESTS)
    add_subdirectory(examples)
endif()

=== docs/reference/CMakeLists.txt ===
if (FLAVOUR_GTK3)
    set (ayatana_appindicator_gtkver "ayatana-appindicator3")
elseif (FLAVOUR_GTK2)
    set (ayatana_appindicator_gtkver "ayatana-appindicator")
endif()

# libayatana-appindicator-docs.sgml

configure_file("${CMAKE_CURRENT_SOURCE_DIR}/libayatana-appindicator-docs.sgml.in" "${CMAKE_CURRENT_BINARY_DIR}/libayatana-appindicator-docs.sgml" @ONLY)

# version.xml

configure_file("${CMAKE_CURRENT_SOURCE_DIR}/version.xml.in" "${CMAKE_CURRENT_BINARY_DIR}/version.xml" @ONLY)

# libayatana-appindicator-decl.txt
# libayatana-appindicator-decl-list.txt
# libayatana-appindicator-overrides.txt
# libayatana-appindicator-sections.txt

find_program(GTKDOC_SCAN gtkdoc-scan)

add_custom_command(
    OUTPUT "${CMAKE_CURRENT_BINARY_DIR}/libayatana-appindicator-decl.txt"
    OUTPUT "${CMAKE_CURRENT_BINARY_DIR}/libayatana-appindicator-decl-list.txt"
    OUTPUT "${CMAKE_CURRENT_BINARY_DIR}/libayatana-appindicator-overrides.txt"
    OUTPUT "${CMAKE_CURRENT_BINARY_DIR}/libayatana-appindicator-sections.txt"
    DEPENDS "src"
    WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}
    COMMAND
    ${GTKDOC_SCAN}
    --ignore-headers="app-indicator-enum-types.h;application-service-appstore.h;application-service-client.h;application-service-lru-file.h;application-service-marshal.h;application-service-server.h;application-service-watcher.h;dbus-properties-client.h;dbus-properties-server.h;dbus-shared.h;generate-id.h;notification-item-client.h;notification-item-server.h;notification-watcher-client.h;notification-watcher-server.h"
    --module=libayatana-appindicator
    --source-dir="${CMAKE_SOURCE_DIR}/src"
    --source-dir="${CMAKE_BINARY_DIR}/src"
)

# libayatana-appindicator.types

add_custom_command(
    OUTPUT "${CMAKE_CURRENT_BINARY_DIR}/libayatana-appindicator.types"
    DEPENDS "${CMAKE_CURRENT_BINARY_DIR}/libayatana-appindicator-decl.txt"
    DEPENDS "${CMAKE_CURRENT_BINARY_DIR}/libayatana-appindicator-decl-list.txt"
    DEPENDS "${CMAKE_CURRENT_BINARY_DIR}/libayatana-appindicator-overrides.txt"
    DEPENDS "${CMAKE_CURRENT_BINARY_DIR}/libayatana-appindicator-sections.txt"
    WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}
    COMMAND
    ${CMAKE_COMMAND}
    -E copy
    "${CMAKE_CURRENT_SOURCE_DIR}/libayatana-appindicator.types"
    "${CMAKE_CURRENT_BINARY_DIR}/libayatana-appindicator.types"
)

# scangobj.sh

list(JOIN PROJECT_DEPS_INCLUDE_DIRS " -I" GTKDOC_SCANGOBJ_INCLUDE_DIRS)
list(JOIN PROJECT_DEPS_LIBRARIES " -l" GTKDOC_SCANGOBJ_LIBRARIES)

set (SCANGOBJ_AYATANA_APPINDICATOR "${ayatana_appindicator_gtkver}")

configure_file("${CMAKE_CURRENT_SOURCE_DIR}/scangobj.sh.in" "${CMAKE_CURRENT_BINARY_DIR}/scangobj.sh")

# libayatana-appindicator.actions
# libayatana-appindicator.args
# libayatana-appindicator.hierarchy
# libayatana-appindicator.interfaces
# libayatana-appindicator.prerequisites
# libayatana-appindicator.signals

add_custom_command(
    OUTPUT "${CMAKE_CURRENT_BINARY_DIR}/libayatana-appindicator.actions"
    OUTPUT "${CMAKE_CURRENT_BINARY_DIR}/libayatana-appindicator.args"
    OUTPUT "${CMAKE_CURRENT_BINARY_DIR}/libayatana-appindicator.hierarchy"
    OUTPUT "${CMAKE_CURRENT_BINARY_DIR}/libayatana-appindicator.interfaces"
    OUTPUT "${CMAKE_CURRENT_BINARY_DIR}/libayatana-appindicator.prerequisites"
    OUTPUT "${CMAKE_CURRENT_BINARY_DIR}/libayatana-appindicator.signals"
    DEPENDS "${CMAKE_CURRENT_BINARY_DIR}/libayatana-appindicator.types"
    WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}
    COMMAND sh scangobj.sh
)

# gtkdocentities.ent

file(WRITE "${CMAKE_CURRENT_BINARY_DIR}/xml/gtkdocentities.ent" "<!ENTITY package \"libayatana-appindicator\">")
file(APPEND "${CMAKE_CURRENT_BINARY_DIR}/xml/gtkdocentities.ent" "\n<!ENTITY package_bugreport \"https://github.com/AyatanaIndicators/libayatana-appindicator/issues\">")
file(APPEND "${CMAKE_CURRENT_BINARY_DIR}/xml/gtkdocentities.ent" "\n<!ENTITY package_name \"libayatana-appindicator\">")
file(APPEND "${CMAKE_CURRENT_BINARY_DIR}/xml/gtkdocentities.ent" "\n<!ENTITY package_string \"libayatana-appindicator ${PROJECT_VERSION}\">")
file(APPEND "${CMAKE_CURRENT_BINARY_DIR}/xml/gtkdocentities.ent" "\n<!ENTITY package_tarname \"libayatana-appindicator\">")
file(APPEND "${CMAKE_CURRENT_BINARY_DIR}/xml/gtkdocentities.ent" "\n<!ENTITY package_url \"https://github.com/AyatanaIndicators/libayatana-appindicator\">")
file(APPEND "${CMAKE_CURRENT_BINARY_DIR}/xml/gtkdocentities.ent" "\n<!ENTITY package_version \"${PROJECT_VERSION}\">")

# libayatana-appindicator-undeclared.txt
# libayatana-appindicator-undocumented.txt
# libayatana-appindicator-unused.txt
# xml/annotation-glossary.xml
# xml/api-index-0.5.xml
# xml/api-index-deprecated.xml
# xml/api-index-full.xml
# xml/app-indicator.xml
# xml/libayatana-appindicator-doc.bottom
# xml/libayatana-appindicator-doc.top
# xml/object_index.sgml
# xml/tree_index.sgml

find_program(GTKDOC_MKDB gtkdoc-mkdb)
list(JOIN PROJECT_DEPS_INCLUDE_DIRS ";-I" GTKDOC_SCANGOBJ_INCLUDE_DIRS)
list(JOIN PROJECT_DEPS_LIBRARIES ";-l" GTKDOC_SCANGOBJ_LIBRARIES)

add_custom_command(
    OUTPUT "${CMAKE_CURRENT_BINARY_DIR}/libayatana-appindicator-undeclared.txt"
    OUTPUT "${CMAKE_CURRENT_BINARY_DIR}/libayatana-appindicator-undocumented.txt"
    OUTPUT "${CMAKE_CURRENT_BINARY_DIR}/libayatana-appindicator-unused.txt"
    OUTPUT "${CMAKE_CURRENT_BINARY_DIR}/xml/annotation-glossary.xml"
    OUTPUT "${CMAKE_CURRENT_BINARY_DIR}/xml/api-index-0.5.xml"
    OUTPUT "${CMAKE_CURRENT_BINARY_DIR}/xml/api-index-deprecated.xml"
    OUTPUT "${CMAKE_CURRENT_BINARY_DIR}/xml/api-index-full.xml"
    OUTPUT "${CMAKE_CURRENT_BINARY_DIR}/xml/app-indicator.xml"
    OUTPUT "${CMAKE_CURRENT_BINARY_DIR}/xml/libayatana-appindicator-doc.bottom"
    OUTPUT "${CMAKE_CURRENT_BINARY_DIR}/xml/libayatana-appindicator-doc.top"
    OUTPUT "${CMAKE_CURRENT_BINARY_DIR}/xml/object_index.sgml"
    OUTPUT "${CMAKE_CURRENT_BINARY_DIR}/xml/tree_index.sgml"
    DEPENDS "${CMAKE_CURRENT_BINARY_DIR}/libayatana-appindicator.actions"
    DEPENDS "${CMAKE_CURRENT_BINARY_DIR}/libayatana-appindicator.args"
    DEPENDS "${CMAKE_CURRENT_BINARY_DIR}/libayatana-appindicator.hierarchy"
    DEPENDS "${CMAKE_CURRENT_BINARY_DIR}/libayatana-appindicator.interfaces"
    DEPENDS "${CMAKE_CURRENT_BINARY_DIR}/libayatana-appindicator.prerequisites"
    DEPENDS "${CMAKE_CURRENT_BINARY_DIR}/libayatana-appindicator.signals"
    WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}
    COMMAND
    ${GTKDOC_MKDB}
    --module=libayatana-appindicator
    --output-format=xml
    --expand-content-files=""
    --main-sgml-file=libayatana-appindicator-docs.sgml
    --source-dir="${CMAKE_SOURCE_DIR}/src"
    --sgml-mode
)

# html
file(MAKE_DIRECTORY "${CMAKE_CURRENT_BINARY_DIR}/html")

# html/annotation-glossary.html
# html/api-index-0-5.html
# html/api-index-deprecated.html
# html/api-index-full.html
# html/AppIndicator.html
# html/ch01.html
# html/home.png
# html/index.html
# html/left.png
# html/left-insensitive.png
# html/libayatana-appindicator.devhelp2
# html/object-tree.html
# html/right.png
# html/right-insensitive.png
# html/style.css
# html/up.png
# html/up-insensitive.png

find_program(GTKDOC_MKHTML gtkdoc-mkhtml)

add_custom_command(
    OUTPUT "${CMAKE_CURRENT_BINARY_DIR}/html/annotation-glossary.html"
    OUTPUT "${CMAKE_CURRENT_BINARY_DIR}/html/api-index-0-5.html"
    OUTPUT "${CMAKE_CURRENT_BINARY_DIR}/html/api-index-deprecated.html"
    OUTPUT "${CMAKE_CURRENT_BINARY_DIR}/html/api-index-full.html"
    OUTPUT "${CMAKE_CURRENT_BINARY_DIR}/html/AppIndicator.html"
    OUTPUT "${CMAKE_CURRENT_BINARY_DIR}/html/ch01.html"
    OUTPUT "${CMAKE_CURRENT_BINARY_DIR}/html/home.png"
    OUTPUT "${CMAKE_CURRENT_BINARY_DIR}/html/index.html"
    OUTPUT "${CMAKE_CURRENT_BINARY_DIR}/html/left.png"
    OUTPUT "${CMAKE_CURRENT_BINARY_DIR}/html/left-insensitive.png"
    OUTPUT "${CMAKE_CURRENT_BINARY_DIR}/html/libayatana-appindicator.devhelp2"
    OUTPUT "${CMAKE_CURRENT_BINARY_DIR}/html/object-tree.html"
    OUTPUT "${CMAKE_CURRENT_BINARY_DIR}/html/right.png"
    OUTPUT "${CMAKE_CURRENT_BINARY_DIR}/html/right-insensitive.png"
    OUTPUT "${CMAKE_CURRENT_BINARY_DIR}/html/style.css"
    OUTPUT "${CMAKE_CURRENT_BINARY_DIR}/html/up.png"
    OUTPUT "${CMAKE_CURRENT_BINARY_DIR}/html/up-insensitive.png"
    DEPENDS "${CMAKE_CURRENT_BINARY_DIR}/libayatana-appindicator-undeclared.txt"
    DEPENDS "${CMAKE_CURRENT_BINARY_DIR}/libayatana-appindicator-undocumented.txt"
    DEPENDS "${CMAKE_CURRENT_BINARY_DIR}/libayatana-appindicator-unused.txt"
    DEPENDS "${CMAKE_CURRENT_BINARY_DIR}/xml/annotation-glossary.xml"
    DEPENDS "${CMAKE_CURRENT_BINARY_DIR}/xml/api-index-0.5.xml"
    DEPENDS "${CMAKE_CURRENT_BINARY_DIR}/xml/api-index-deprecated.xml"
    DEPENDS "${CMAKE_CURRENT_BINARY_DIR}/xml/api-index-full.xml"
    DEPENDS "${CMAKE_CURRENT_BINARY_DIR}/xml/app-indicator.xml" "xml/libayatana-appindicator-doc.bottom"
    DEPENDS "${CMAKE_CURRENT_BINARY_DIR}/xml/libayatana-appindicator-doc.top"
    DEPENDS "${CMAKE_CURRENT_BINARY_DIR}/xml/object_index.sgml"
    DEPENDS "${CMAKE_CURRENT_BINARY_DIR}/xml/tree_index.sgml"
    WORKING_DIRECTORY "${CMAKE_CURRENT_BINARY_DIR}/html"
    COMMAND
    ${GTKDOC_MKHTML}
    --path=${CMAKE_CURRENT_BINARY_DIR}
    libayatana-appindicator
    libayatana-appindicator-docs.sgml
)

# html/annotation-glossary.html
# html/api-index-0-5.html
# html/api-index-deprecated.html
# html/api-index-full.html
# html/AppIndicator.html
# html/ch01.html
# html/index.html
# html/object-tree.html
# html/style.css

find_program(GTKDOC_FIXXREF gtkdoc-fixxref)

add_custom_command(
    OUTPUT "fixxref"
    DEPENDS "${CMAKE_CURRENT_BINARY_DIR}/html/annotation-glossary.html"
    DEPENDS "${CMAKE_CURRENT_BINARY_DIR}/html/api-index-0-5.html"
    DEPENDS "${CMAKE_CURRENT_BINARY_DIR}/html/api-index-deprecated.html"
    DEPENDS "${CMAKE_CURRENT_BINARY_DIR}/html/api-index-full.html"
    DEPENDS "${CMAKE_CURRENT_BINARY_DIR}/html/AppIndicator.html"
    DEPENDS "${CMAKE_CURRENT_BINARY_DIR}/html/ch01.html"
    DEPENDS "${CMAKE_CURRENT_BINARY_DIR}/html/home.png"
    DEPENDS "${CMAKE_CURRENT_BINARY_DIR}/html/index.html"
    DEPENDS "${CMAKE_CURRENT_BINARY_DIR}/html/left.png"
    DEPENDS "${CMAKE_CURRENT_BINARY_DIR}/html/left-insensitive.png"
    DEPENDS "${CMAKE_CURRENT_BINARY_DIR}/html/libayatana-appindicator.devhelp2"
    DEPENDS "${CMAKE_CURRENT_BINARY_DIR}/html/object-tree.html"
    DEPENDS "${CMAKE_CURRENT_BINARY_DIR}/html/right.png"
    DEPENDS "${CMAKE_CURRENT_BINARY_DIR}/html/right-insensitive.png"
    DEPENDS "${CMAKE_CURRENT_BINARY_DIR}/html/style.css"
    DEPENDS "${CMAKE_CURRENT_BINARY_DIR}/html/up.png"
    DEPENDS "${CMAKE_CURRENT_BINARY_DIR}/html/up-insensitive.png"
    WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}
    COMMAND
    ${GTKDOC_FIXXREF}
    --module=libayatana-appindicator
    --module-dir=html
    --html-dir="${CMAKE_INSTALL_FULL_DATADIR}/gtk-doc/html"
)

set_source_files_properties("fixxref" PROPERTIES SYMBOLIC True)
install(DIRECTORY "${CMAKE_CURRENT_BINARY_DIR}/html/" DESTINATION "${CMAKE_INSTALL_FULL_DATADIR}/gtk-doc/html/lib${ayatana_appindicator_gtkver}")

add_custom_target("docs-references" ALL DEPENDS "fixxref")

=== debian/changelog ===
libayatana-appindicator (0.5.92-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    + Bump Standards-Version: to 4.6.2. No changes needed.
    + Drop -XS-Python-Version: field.
  * debian/copyright:
    + Update auto-generated copyright.in file.
    + Update copyright attributions.

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 02 Feb 2023 10:15:16 +0100

=== debian/control ===
Source: libayatana-appindicator
Section: libs
Priority: optional
Maintainer: Ayatana Packagers <pkg-ayatana-devel@lists.alioth.debian.org>
Uploaders:
 Mike Gabriel <sunweaver@debian.org>,
Build-Depends: cmake,
               cmake-extras (>= 1.5-8~),
               debhelper-compat (= 13),
               at-spi2-core,
               cli-common-dev [amd64 arm64 armel armhf i386 mipsel ppc64el s390x kfreebsd-amd64 kfreebsd-i386 powerpc ppc64] <!nocil>,
               gobject-introspection,
               intltool,
               gtk-doc-tools,
               libxml2-utils,
               libnunit-cil-dev [amd64 arm64 armel armhf i386 mipsel ppc64el s390x kfreebsd-amd64 kfreebsd-i386 powerpc ppc64] <!nocil>,
               dbus-test-runner,
               xvfb,
               valac,
               mono-devel [amd64 arm64 armel armhf i386 mipsel ppc64el s390x kfreebsd-amd64 kfreebsd-i386 powerpc ppc64] <!nocil>,
               libglib2.0-dev,
               libgtk-3-dev,
               libgtk2.0-dev,
               procps,
               gtk-sharp3-gapi [amd64 arm64 armel armhf i386 mipsel ppc64el s390x kfreebsd-amd64 kfreebsd-i386 powerpc ppc64] <!nocil>,
               libgtk3.0-cil-dev [amd64 arm64 armel armhf i386 mipsel ppc64el s390x kfreebsd-amd64 kfreebsd-i386 powerpc ppc64] <!nocil>,
               gtk-sharp2-gapi [amd64 arm64 armel armhf i386 mipsel ppc64el s390x kfreebsd-amd64 kfreebsd-i386 powerpc ppc64] <!nocil>,
               libgtk2.0-cil-dev [amd64 arm64 armel armhf i386 mipsel ppc64el s390x kfreebsd-amd64 kfreebsd-i386 powerpc ppc64] <!nocil>,
               libdbus-glib-1-dev,
               libayatana-indicator-dev,
               libayatana-indicator3-dev,
               libdbusmenu-glib-dev,
               libdbusmenu-gtk-dev,
               libdbusmenu-gtk3-dev,
               libgirepository1.0-dev,
Standards-Version: 4.6.2
Rules-Requires-Root: no
Homepage: https://github.com/AyatanaIndicators/libayatana-appindicator
Vcs-Git: https://salsa.debian.org/debian-ayatana-team/libayatana-appindicator.git
Vcs-Browser: https://salsa.debian.org/debian-edu-ayatana-team/libayatana-appindicator

Package: libayatana-appindicator1
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
Provides: libappindicator1 (= 12.10)
Conflicts: libappindicator1,
Replaces: libappindicator1,
Description: Ayatana Application Indicators (GTK-2+ version)
 A library and indicator to take menus from applications and place them in
 the panel.
 .
 This package contains shared libraries to be used by applications compiled
 against GTK-2+.

Package: gir1.2-ayatanaappindicator-0.1
Section: introspection
Architecture: any
Depends: ${misc:Depends},
         ${gir:Depends},
Description: Typelib files for libayatana-appindicator1 (GTK-2+ version)
 A library and indicator to take menus from applications and place them in
 the panel.
 .
 This package can be used by other packages using the GIRepository format
 to generate dynamic bindings (GTK-2+ version).

Package: libayatana-appindicator-dev
Section: libdevel
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libayatana-indicator-dev (>= 0.9.0),
         libdbusmenu-glib-dev,
         libgtk2.0-dev,
         gir1.2-ayatanaappindicator-0.1 (= ${binary:Version}),
         libayatana-appindicator1 (= ${binary:Version}),
Provides: libappindicator-dev (= 12.10)
Conflicts: libappindicator-dev,
Replaces: libappindicator-dev,
Description: Ayatana Application Indicators (development files, GTK-2+ version)
 A library and indicator to take menus from applications and place them in
 the panel.
 .
 This package contains files that are needed to build applications
 (GTK-2+ version).

Package: libayatana-appindicator-doc
Section: doc
Architecture: all
Depends: ${misc:Depends},
Description: Ayatana Application Indicators (documentation files, GTK-2+ version)
 A library and indicator to take menus from applications and place them in
 the panel.
 .
 This package contains developer documentation (GTK-2+ version).

Package: libayatana-appindicator3-1
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
Provides: libappindicator3-1 (= 12.10)
Conflicts: libappindicator3-1,
Replaces: libappindicator3-1,
Description: Ayatana Application Indicators (GTK-3+ version)
 A library and indicator to take menus from applications and place them in
 the panel.
 .
 This package contains shared libraries to be used by applications compiled
 against GTK-3+.

Package: libayatana-appindicator3-dev
Section: libdevel
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libayatana-indicator3-dev (>= 0.9.0),
         libdbusmenu-glib-dev,
         libgtk-3-dev,
         gir1.2-ayatanaappindicator3-0.1 (= ${binary:Version}),
         libayatana-appindicator3-1 (= ${binary:Version}),
Provides: libappindicator3-dev (= 12.10)
Conflicts: libappindicator3-dev,
Replaces: libappindicator3-dev,
Description: Ayatana Application Indicators (development files, GTK-3+ version)
 A library and indicator to take menus from applications and place them in
 the panel.
 .
 This package contains files that are needed to build applications
 (GTK-3+ version).

Package: gir1.2-ayatanaappindicator3-0.1
Section: introspection
Architecture: any
Depends: ${misc:Depends},
         ${gir:Depends},
Description: Typelib files for libayatana-appindicator3-1 (GTK-3+ version)
 A library and indicator to take menus from applications and place them in
 the panel.
 .
 This package can be used by other packages using the GIRepository format
 to generate dynamic bindings (GTK-3+ version).

Package: libayatana-appindicator0.1-cil
Build-Profiles: <!nocil>
Section: cli-mono
Architecture: amd64 arm64 armel armhf i386 mipsel ppc64el s390x kfreebsd-amd64 kfreebsd-i386 powerpc ppc64
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${cli:Depends},
Description: CLI bindings for libayatana-appindicator
 This package provides the appindicator-sharp assembly that allows CLI (.NET)
 programs to take menus from applications and place them in the panel.
 .
 This package contains assemblies to be used by Mono applications.

Package: libayatana-appindicator0.1-cil-dev
Build-Profiles: <!nocil>
Section: cli-mono
Architecture: amd64 arm64 armel armhf i386 mipsel ppc64el s390x kfreebsd-amd64 kfreebsd-i386 powerpc ppc64
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${cli:Depends},
         libayatana-appindicator0.1-cil (= ${binary:Version}),
Description: Ayatana Application Indicators for Mono
 A library and indicator to take menus from applications and place them in
 the panel.
 .
 This package contains files that are needed to build Mono applications.

Package: libayatana-appindicator3-0.1-cil
Section: cli-mono
Architecture: amd64 arm64 armel armhf i386 mipsel ppc64el s390x kfreebsd-amd64 kfreebsd-i386 powerpc ppc64
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${cli:Depends},
Description: CLI bindings for libayatana-appindicator3
 This package provides the appindicator-sharp assembly that allows CLI (.NET)
 programs to take menus from applications and place them in the panel.
 .
 This package contains assemblies to be used by GTK-2+ Mono applications.

Package: libayatana-appindicator3-0.1-cil-dev
Section: cli-mono
Architecture: amd64 arm64 armel armhf i386 mipsel ppc64el s390x kfreebsd-amd64 kfreebsd-i386 powerpc ppc64
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${cli:Depends},
         libayatana-appindicator3-0.1-cil (= ${binary:Version}),
Description: Ayatana Application Indicators for Mono (GTK-3+ variant)
 A library and indicator to take menus from applications and place them in
 the panel.
 .
 This package contains files that are needed to build GTK-3+ Mono applications.
